package com.eactive.eai.transformer.util;

import org.apache.commons.lang3.exception.ExceptionUtils;

//import com.eactive.eai.adapter.socket2.common.ThreadDumpUtil;

public class ExceptionStackTrace {
	private ExceptionStackTrace() {
		
	}
	public static String dump(Throwable t) {
//    	StringWriter sw = new StringWriter();
//    	PrintWriter pw = new PrintWriter(sw);
//    	t.printStackTrace(pw);
//    	return sw.toString();
		return ExceptionUtils.getStackTrace(t);
	}
}
